Fedora Linux Support Community & Resources Center
  #1  
Old 9th December 2004, 05:06 AM
ryu_zwei Offline
Registered User
 
Join Date: Dec 2004
Posts: 2
FC3 x86_64 and java plugin

After a couple days of research and attempts, I was wondering if anyone has a working Java browser plugin. Using a 32bit version of a browser would not bother me, but I can't get that to work either. If anyone has succeeded and wants to give a some advice or link me to a guide, I would greatly appreciate it.
Reply With Quote
  #2  
Old 9th December 2004, 05:54 AM
h4d Offline
Registered User
 
Join Date: Feb 2004
Location: Boston
Posts: 239
www.fedorafaq.org/#java
That should help.
Reply With Quote
  #3  
Old 9th December 2004, 06:07 AM
ryu_zwei Offline
Registered User
 
Join Date: Dec 2004
Posts: 2
I couldn't make head nor foot from any other guides, so I wrote my own. This worked for me,
if it works for anyone else too, great!

-- Guide to installing 64bit java browser plugin on Firefox --
(much taken from the Blackdown site)

---- JRE Install --
1. Download Blackdowns JRE package from
[ ftp://ftp.tux.org/pub/java/JDK-1.4.2/amd64/ ]
at the time of writing this, the most recent version
is in "/01/" and it is "j2re-1.4.2-01-linux-amd64.bin".

2. Make the shell script executable
% chmod +x j2re-1.4.2-01-linux-amd64.bin

3. Move the pacakge to the desired install directory
% mv j2re-1.4.2-01-linux-amd64.bin

4. Change to the wanna-be install directory
% cd /usr/local

5. Extract the contents of the package
% ./j2re-1.4.2-01-linux-amd64.bin

6. Add JRE location to the PATH variable
% export PATH=/usr/local/j2re1.4.2/bin:$PATH

----- Plugin Install --

1. Become root and create a symbolic link to the plugin
% su
% ln -s /usr/local/j2re1.4.2/plugin/amd64/mozilla/libjavaplugin_oji.so \
/usr/lib64/mozilla/plugins/

----- Check-up --

To ensure that the Runtime Environment and plugin were installed...

1. Launch Mozilla
2. From the Help Menu, select 'About Plug-ins'

----- Future Reference --

If your Firefox mysteriously crashes, run it in verbose mode.
% firefox --verbose

If you get an error refering to libXp.so, install the derpricated xorg libraries
"xorg-x11-deprecated-libs-6.8.1-12.x86_64.rpm"
and
"xorg-x11-deprecated-libs-devel-6.8.1-12.x86_64.rpm"
off of the fc3 install cd (or dvd).

----- Follow-up --

If all has gone well, you should see a large list of supported java MIME types.
If it has failed, try following the instructions again. If you can't get it to work,
e-mail me (ryu_zwei@fastmail.fm). WARNING: I may not be much help.
Reply With Quote
Reply

Tags
fc3, java, plugin, x8664

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Problems with Java Plugin for Firefox in FC4 X86_64 unwill Using Fedora 1 14th January 2006 01:14 PM


Current GMT-time: 04:32 (Thursday, 23-10-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat
Ennis Travel Photos on Instagram - Sitamarhi - Tottori